using System;
using System.Collections.Generic;
using System.Text;
using ChuPiao.Common.Utils;

namespace ChuPiao.Common.Models
{
    /// <summary>
    /// 彩票机报错实体类
    /// </summary>
    public class M_MachineErrorEntity
    {
		#region Model
		private int _l_id;
		private int _l_type=0;
		private int _l_lotid=0;
		private string _l_ticketsn="";
		private string _l_macnumber="";
		private string _l_errortitle="";
		private DateTime _l_errortime= DateTime.Now;
		private string _l_errormessage="";
		private DateTime _l_addtime= DateTime.Now;
		/// <summary>
		/// 日志ID
		/// </summary>
		public int L_Id
		{
			set{ _l_id=value;}
			get{return _l_id;}
		}
		/// <summary>
		/// 错误类型
		/// </summary>
		public int L_Type
		{
			set{ _l_type=value;}
			get{return _l_type;}
		}
		/// <summary>
		/// 彩种ID
		/// </summary>
		public int L_LotId
		{
			set{ _l_lotid=value;}
			get{return _l_lotid;}
		}
		/// <summary>
		/// 生产流水号
		/// </summary>
		public string L_TicketSn
		{
			set{ _l_ticketsn=value;}
			get{return _l_ticketsn;}
		}
		/// <summary>
		/// 机器号
		/// </summary>
		public string L_MacNumber
		{
			set{ _l_macnumber=value;}
			get{return _l_macnumber;}
		}
		/// <summary>
		/// 错误标题
		/// </summary>
		public string L_ErrorTitle
		{
			set{ _l_errortitle=value;}
			get{return _l_errortitle;}
		}
		/// <summary>
		/// 错误时间
		/// </summary>
		public DateTime L_ErrorTime
		{
			set{ _l_errortime=value;}
			get{return _l_errortime;}
		}
		/// <summary>
		/// 错误描述
		/// </summary>
		public string L_ErrorMessage
		{
			set{ _l_errormessage=value;}
			get{return _l_errormessage;}
		}
		/// <summary>
		/// 添加时间
		/// </summary>
		public DateTime L_AddTime
		{
			set{ _l_addtime=value;}
			get{return _l_addtime;}
		}
		#endregion Model


        //彩种名称
        public string LotName
        {
            get
            {
                return LotPlayTypeHashTable.GetLotName(_l_lotid);
            }
        }

    }
}
